
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

From: Al Viro <viro@parcelfarce.linux.theplanet.co.uk>

Easier parts from "cross-build" (or "UML-kbuild") patch from Al Viro:

*) abuses of host cc/ld/objcopy/paths are gone
*) some #include path fixes
*) other little abuses fixed
*) remove LIBC_DIR var, ask gcc where libc.a is placed.

This creates no problem so can be merged very likely. Note: only tested on
i386, give a run on x86-64.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Cc: "Vadim Abrossimov" <vadim_abrossimov@yahoo.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Makefile-x86_64                    |    4 ----
 25-akpm/arch/um/include/sysdep-i386/sigcontext.h   |    2 +-
 25-akpm/arch/um/include/sysdep-x86_64/sigcontext.h |    2 +-
 25-akpm/arch/um/kernel/tt/Makefile                 |    6 ++----
 25-akpm/arch/um/sys-i386/Makefile                  |    2 +-
 25-akpm/fs/hppfs/Makefile                          |   10 ----------
 25-akpm/include/asm-um/archparam-i386.h            |    2 +-
 7 files changed, 6 insertions(+), 22 deletions(-)

diff -puN arch/um/include/sysdep-i386/sigcontext.h~uml-little-build-fixes arch/um/include/sysdep-i386/sigcontext.h
--- 25/arch/um/include/sysdep-i386/sigcontext.h~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/arch/um/include/sysdep-i386/sigcontext.h	2005-03-23 01:20:29.000000000 -0800
@@ -6,7 +6,7 @@
 #ifndef __SYS_SIGCONTEXT_I386_H
 #define __SYS_SIGCONTEXT_I386_H
 
-#include "sc.h"
+#include <sysdep/sc.h>
 
 #define IP_RESTART_SYSCALL(ip) ((ip) -= 2)
 
diff -puN arch/um/include/sysdep-x86_64/sigcontext.h~uml-little-build-fixes arch/um/include/sysdep-x86_64/sigcontext.h
--- 25/arch/um/include/sysdep-x86_64/sigcontext.h~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/arch/um/include/sysdep-x86_64/sigcontext.h	2005-03-23 01:20:29.000000000 -0800
@@ -7,7 +7,7 @@
 #ifndef __SYSDEP_X86_64_SIGCONTEXT_H
 #define __SYSDEP_X86_64_SIGCONTEXT_H
 
-#include "sc.h"
+#include <sysdep/sc.h>
 
 #define IP_RESTART_SYSCALL(ip) ((ip) -= 2)
 
diff -puN arch/um/kernel/tt/Makefile~uml-little-build-fixes arch/um/kernel/tt/Makefile
--- 25/arch/um/kernel/tt/Makefile~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/arch/um/kernel/tt/Makefile	2005-03-23 01:20:29.000000000 -0800
@@ -24,9 +24,7 @@ $(USER_OBJS) : %.o: %.c
 $(obj)/unmap.o: $(src)/unmap.c
 	$(CC) $(UNMAP_CFLAGS) -c -o $@ $<
 
-LIBC_DIR ?= /usr/lib
-
 $(obj)/unmap_fin.o : $(obj)/unmap.o
-	ld -r -o $(obj)/unmap_tmp.o  $< -lc -L$(LIBC_DIR)
-	objcopy $(obj)/unmap_tmp.o $@ -G switcheroo
+	$(LD) -r -o $(obj)/unmap_tmp.o $< $(shell $(CC) -print-file-name=libc.a)
+	$(OBJCOPY) $(obj)/unmap_tmp.o $@ -G switcheroo
 
diff -puN arch/um/Makefile-x86_64~uml-little-build-fixes arch/um/Makefile-x86_64
--- 25/arch/um/Makefile-x86_64~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/arch/um/Makefile-x86_64	2005-03-23 01:20:29.000000000 -0800
@@ -30,7 +30,3 @@ $(SYS_UTIL_DIR)/mk_thread: scripts_basic
 	$(Q)$(MAKE) $(build)=$(SYS_UTIL_DIR) $@
 
 CLEAN_FILES += $(SYS_HEADERS)
-
-LIBC_DIR := /usr/lib64
-
-export LIBC_DIR
diff -puN arch/um/sys-i386/Makefile~uml-little-build-fixes arch/um/sys-i386/Makefile
--- 25/arch/um/sys-i386/Makefile~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/arch/um/sys-i386/Makefile	2005-03-23 01:20:29.000000000 -0800
@@ -22,7 +22,7 @@ module.c-dir = kernel
 
 define make_link
 	-rm -f $1
-	ln -sf $(TOPDIR)/arch/i386/$($(notdir $1)-dir)/$(notdir $1) $1
+	ln -sf $(srctree)/arch/i386/$($(notdir $1)-dir)/$(notdir $1) $1
 endef
 
 $(USER_OBJS) : %.o: %.c
diff -puN fs/hppfs/Makefile~uml-little-build-fixes fs/hppfs/Makefile
--- 25/fs/hppfs/Makefile~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/fs/hppfs/Makefile	2005-03-23 01:20:29.000000000 -0800
@@ -7,13 +7,3 @@ hppfs-objs := hppfs_kern.o
 
 obj-y =
 obj-$(CONFIG_HPPFS) += hppfs.o
-
-clean:
-
-modules:
-
-fastdep:
-
-dep:
-
-archmrproper: clean
diff -puN include/asm-um/archparam-i386.h~uml-little-build-fixes include/asm-um/archparam-i386.h
--- 25/include/asm-um/archparam-i386.h~uml-little-build-fixes	2005-03-23 01:20:29.000000000 -0800
+++ 25-akpm/include/asm-um/archparam-i386.h	2005-03-23 01:20:29.000000000 -0800
@@ -8,7 +8,7 @@
 
 /********* Bits for asm-um/elf.h ************/
 
-#include "user.h"
+#include <asm/user.h>
 
 extern char * elf_aux_platform;
 #define ELF_PLATFORM (elf_aux_platform)
_
